Skip to main content
`Ctrl`+`K`

# scipy.linalg.blas.zher2

scipy.linalg.blas.zher2(alpha, x, y[, lower, incx, offx, incy, offy, n, a, overwrite_a]) = <fortran function zher2>

  Wrapper for `zher2`.

  Parameters:
    alpha input complex
    x input rank-1 array(‘D’) with bounds (*)
    y input rank-1 array(‘D’) with bounds (*)
  Returns:
    a rank-2 array(‘D’) with bounds (n,n)
  Other Parameters:
    lower input int, optional

      Default: 0

    incx input int, optional

      Default: 1

    offx input int, optional

      Default: 0

    incy input int, optional

      Default: 1

    offy input int, optional

      Default: 0

    n input int, optional

      Default: ((len(x)-1-offx)/abs(incx)+1 <=(len(y)-1-offy)/abs(incy)+1 ?(len(x)-1-offx)/abs(incx)+1 :(len(y)-1-offy)/abs(incy)+1)

    a input rank-2 array(‘D’) with bounds (n,n)
    overwrite_a input int, optional

      Default: 0